# Summary

* [Installation](Installation.md)
    * [Scala on Android](ScalaOnAndroid.md)
* [Tutorial](Tutorial.md)
    * [Building layouts](tutorial/BuildingLayouts.md)
    * [Tweaking widgets](tutorial/Tweaking.md)
    * [Handling events](tutorial/HandlingEvents.md)
    * [Getting adaptive](tutorial/GettingAdaptive.md)
    * [Complete code](tutorial/CompleteCode.md)
* [Guide](Guide.md)
    * [UI actions](guide/UiActions.md)
    * [Contexts](guide/Contexts.md)
    * [Bricks](guide/Bricks.md)
    * [Tweaks](guide/Tweaks.md)
    * [Snails](guide/Snails.md)
    * [Transformers](guide/Transformers.md)
    * [Understanding operators](guide/Operators.md)
    * [Media queries](guide/MediaQueries.md)
    * [Fragments](guide/Fragments.md)
    * [Searching](guide/Searching.md)
    * [Toasts and dialogs](guide/ToastsDialogs.md)
    * [Advanced techniques](guide/Advanced.md)
    * [Imports](guide/Imports.md)
* [Modules](Modules.md)
    * [Viewable](modules/Viewable.md)
    * [Akka Integration](modules/Akka.md)
* [Differences from...](Differences.md)
    * [Vanilla Android](differences/Vanilla.md)
    * [Scaloid](differences/Scaloid.md)
* [Recipes](Recipes.md)
* [Sample projects](Samples.md)
* [Talks](Talks.md)
* [Mailing list](https://groups.google.com/forum/#!forum/macroid)
* [Changelog](Changelog.md)
* [Scaladoc](api/)
    * [macroid](api/core/macroid/package.html)
    * [macroid-viewable](api/viewable/macroid/viewable/package.html)
    * [macroid-akka](api/akka/macroid/akka/package.html)
